﻿<div ng-controller="manageContactUsController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li><a href="#/contactUs">{{transaction.ContactUs}}</a></li>
        </ol>
        <a ng-click="backButton()" class="glyphicon glyphicon-chevron-left back-arrow"></a>
    </div>

    <div class="container-fluid" ng-hide="showLoader" >
        <form novalidate name="myForm">
            <panel panel-class="panel-midnightblue">
                <div id="page-headings">
                    <h2>{{title}}</h2>
                </div>

                <div class="row" style="background-color:#f7f7f7 !important;border:1px solid #ccc;box-shadow:none;">

                    <div class="col-xs-12" style="padding-top: 11px">

                        <div class="form-group" ng-class="{ 'has-error': myForm.name.$touched && myForm.name.$invalid,
                                   'has-success': myForm.name.$touched && myForm.name.$valid}">
                            <label class="control-label">{{transaction.Name}} </label>
                            <input type="text" class="form-control" name="name" required
                                   ng-model="model.name">
                            <div class="help-block" ng-messages="myForm.name.$error" ng-show="myForm.name.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.email.$touched && myForm.email.$invalid,
                                   'has-success': myForm.email.$touched && myForm.email.$valid}">
                            <label class="control-label">{{transaction.Email}} </label>
                            <input type="email" class="form-control" name="email" required
                                   ng-model="model.email">
                            <div class="help-block" ng-messages="myForm.email.$error" ng-show="myForm.email.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.message.$touched && myForm.message.$invalid,
                                   'has-success': myForm.message.$touched && myForm.message.$valid}">
                            <label class="control-label">{{transaction.Message}}</label>
                            <input type="text" class="form-control" name="message" required
                                   ng-model="model.message">
                            <div class="help-block" ng-messages="myForm.message.$error" ng-show="myForm.message.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.phoneNumber.$touched && myForm.phoneNumber.$invalid,
                                   'has-success': myForm.phoneNumber.$touched && myForm.phoneNumber.$valid}">
                            <label class="control-label">{{transaction.phoneNumber}}</label>
                            <input type="number"  class="form-control" name="phoneNumber" required 
                                   ng-model="model.phoneNumber">
                            <div class="help-block" ng-messages="myForm.phoneNumber.$error" ng-show="myForm.phoneNumber.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div style="margin-top:10px" class="pull-right">
                    <button class="btn btn-primary" ng-disabled="myForm.$invalid" ng-click="save(myForm)"> {{transaction.Save}}</button>

                </div>
            </panel>
        </form>
    </div>

</div>
 